%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-github
Version:	1.0.0
Release:	1%{?dist}
URL:            https://github.com/mattermost/mattermost-plugin-github
Summary:	Plugin for Mattermost and Github
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/golang/dep/cmd/dep
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-github


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
export GO111MODULE=on
cd src/github.com/mattermost/mattermost-plugin-github
git checkout tags/v%{version}
# webapp
pushd webapp
npm install
npm run build
popd
# server
go mod download
go build -ldflags '-extldflags -s -w -buildid %{version}' -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/github/{server,webapp}/dist/
cp -rv src/github.com/mattermost/mattermost-plugin-github/plugin.json %{buildroot}%{mattermost_home}/plugins/github/
sed 's/"executables": {/"executables": { "server\/dist\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/github/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/github/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/github/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/github/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-github/plugin.exe %{buildroot}%{mattermost_home}/plugins/github/server/dist/
cp -rv src/github.com/mattermost/mattermost-plugin-github/webapp/dist/main.js %{buildroot}%{mattermost_home}/plugins/github/webapp/dist/
cp -rv src/github.com/mattermost/mattermost-plugin-github/assets %{buildroot}%{mattermost_home}/plugins/github/


%files
%{mattermost_home}/plugins/github/assets/profile.png
%{mattermost_home}/plugins/github/assets/icon.svg
%{mattermost_home}/plugins/github/plugin.json
%{mattermost_home}/plugins/github/server/dist/plugin.exe
%{mattermost_home}/plugins/github/webapp/dist/main.js


%changelog
