%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-zoom
Version:	1.3.1
Release:	1%{?dist}
URL:            https://github.com/mattermost/mattermost-plugin-zoom
Summary:	Plugin for Mattermost and Zoom
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-zoom


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
export GO111MODULE=on
cd src/github.com/mattermost/mattermost-plugin-zoom
git checkout tags/v%{version}
pushd webapp
npm install
npm run build
popd
go build -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/zoom/{server,webapp}
cp -rv src/github.com/mattermost/mattermost-plugin-zoom/plugin.json %{buildroot}%{mattermost_home}/plugins/zoom/
sed 's/"executables": {/"executables": { "server\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/zoom/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/zoom/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/zoom/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/zoom/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-zoom/plugin.exe %{buildroot}%{mattermost_home}/plugins/zoom/server/
cp -rv src/github.com/mattermost/mattermost-plugin-zoom/webapp/dist/main.js %{buildroot}%{mattermost_home}/plugins/zoom/webapp/


%files
%{mattermost_home}/plugins/zoom/plugin.json
%{mattermost_home}/plugins/zoom/server/plugin.exe
%{mattermost_home}/plugins/zoom/webapp/main.js


%changelog
